From 8cce3561d0fa8613d594a98fe0056c793eb1e35a Mon Sep 17 00:00:00 2001
From: Shalini Roy <shaliniroy012@gmail.com>
Date: Jan 13 2016 18:17:28 +0000
Subject: [PATCH 246/1001] Changed generator implementation to list in manage_subscription method


---

diff --git a/hubs/widgets/subscriptions.py b/hubs/widgets/subscriptions.py
index db23691..d1b59cf 100644
--- a/hubs/widgets/subscriptions.py
+++ b/hubs/widgets/subscriptions.py
@@ -53,10 +53,9 @@ def data(session, widget, username):
 
 # function hyperlinks the hubs in the subscription widget
 def manage_subscriptions(items):
-    for index, item in enumerate(items[0:3]):
-        link = '<a href="{link}">{item}</a>'.format(link=flask.url_for(
-            'hub', name=item), item=item)
-        yield link
+    return ['<a href="{link}">{item}</a>'.format(link=flask.url_for('hub',
+            name=item), item=item) for index, item
+            in enumerate(items[0:3])]
 
 
 def should_invalidate(message, session, widget):

